For the complete documentation index, see llms.txt. This page is also available as Markdown.

Activate

Activate

post

Activate Parallels RAS using a valid license key. Also allows to activate Parallels RAS as a trial version. Trial version will be activated if the key is empty.

Body

To invoke license activation

emailstring · nullableRequired

The email address you use to log in to Parallels My Account.

passwordstring · nullableRequired

Your Parallels account password.

keystring · nullableOptional

Parallels RAS License Key. The key must be registered in Parallels My Account. To activate Parallels RAS as a trial version, omit this parameter.

macAddressstring · nullableOptional

Bind the license activation with a specific MAC address. The MAC address should be in the format XX-XX-XX-XX-XX-XX. To select a MAC address automatically, omit this parameter.

Responses
204

No Content

No content

post/api/License/activate
POST /api/License/activate HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 67

{
  "email": "text",
  "password": "text",
  "key": "text",
  "macAddress": "text"
}

No content